# $Id: afternoonstalker.spec.in,v 1.14 2009/02/27 03:08:33 sarrazip Exp $
# Spec file for afternoonstalker

# Release number can be specified with rpm --define 'rel SOMETHING' ...
# If no such --define is used, the release number is 1.
#
# Source archive's extension can be specified with rpm --define 'srcext .foo'
# where .foo is the source archive's actual extension.
# To compile an RPM from a .bz2 source archive, give the command
#   rpmbuild -ta --define 'srcext .bz2' afternoonstalker-1.1.2.tar.bz2
#
%if %{?rel:0}%{!?rel:1}
%define rel 1
%endif
%if %{?srcext:0}%{!?srcext:1}
%define srcext .gz
%endif

Summary: A Night Stalker(TM) clone
Name: afternoonstalker
Version: 1.1.2
Release: %{rel}
License: GPL
Group: Amusements/Games
Source: %{name}-%{version}.tar%{srcext}
URL: http://sarrazip.com/dev/%{name}.html
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	flatzebra	>= 0.1.2
BuildRequires:	flatzebra-devel	>= 0.1.2

%description
Clone of the Intellivision game Night Stalker.  You are in a
two-dimensional maze in which you are attacked by robots that
shoot at you and that you must shoot down.  You must pick up a
gun somewhere in the maze in order to have a few bullets to shoot.
Avoid the spiders and the bats, which can paralyze you long enough
for a robot to come and shoot you.  The bunker in the center is
your only protection.

%description -l fr
Clone du jeu Night Stalker de l'Intellivision.  Vous êtes dans un
labyrinthe à deux dimensions dans lequel vous êtes attaqué par des
robots qui vous tirent dessus et que vous devez abattre.  Vous devez
ramasser un fusil quelque part dans le labyrinthe pour obtenir
quelques balles à tirer.  Évitez les araignées et les chauves-souris,
qui peuvent vous paralyser assez longtemps pour qu'un robot vienne
vous tirer dessus.  Le bunker au centre est votre seule protection.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -fR $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT" INSTALL="%{__install} -p"

%clean
rm -fR $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/sounds/%{name}
%{_datadir}/applications/*
%{_mandir}/man*/*
%doc %{_defaultdocdir}/*
